RDKit::FMCS::Seed Class Reference

`#include <Seed.h>`

## Public Member Functions

| Seed ()
void | setMoleculeFragment (const Seed &src)
Seed & | operator= (const Seed &src)
void | createFromParent (const Seed *parent)
unsigned | getNumAtoms () const
unsigned | getNumBonds () const
void | grow (MaximumCommonSubgraph &mcs) const
bool | canGrowBiggerThan (unsigned maxBonds, unsigned maxAtoms) const
void | computeRemainingSize (const ROMol &qmol)
unsigned | addAtom (const Atom *atom)
unsigned | addBond (const Bond *bond)
void | fillNewBonds (const ROMol &qmol)

## Public Attributes

bool | CopyComplete
unsigned | GrowingStage
MolFragment | MoleculeFragment
Graph | Topology
std::vector< bool > | ExcludedBonds
unsigned | LastAddedAtomsBeginIdx
unsigned | LastAddedBondsBeginIdx
unsigned | RemainingBonds
unsigned | RemainingAtoms
DuplicatedSeedCache::TKey | DupCacheKey
std::vector< TargetMatch > | MatchResult

## Detailed Description

Definition at line 44 of file Seed.h.

## Constructor & Destructor Documentation

RDKit::FMCS::Seed::Seed | ( |  | ) |

inline

Definition at line 63 of file Seed.h.

## Member Function Documentation

unsigned RDKit::FMCS::Seed::addAtom | ( | const Atom * | atom | ) |

unsigned RDKit::FMCS::Seed::addBond | ( | const Bond * | bond | ) |

bool RDKit::FMCS::Seed::canGrowBiggerThan | ( | unsigned | maxBonds,
|  | unsigned | maxAtoms
| ) |  | const

inline

Definition at line 110 of file Seed.h.

References getNumAtoms(), and getNumBonds().

void RDKit::FMCS::Seed::computeRemainingSize | ( | const ROMol & | qmol | ) |

void RDKit::FMCS::Seed::createFromParent | ( | const Seed * | parent | ) |

inline

Definition at line 88 of file Seed.h.

References DupCacheKey, ExcludedBonds, getNumAtoms(), getNumBonds(), MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

void RDKit::FMCS::Seed::fillNewBonds | ( | const ROMol & | qmol | ) |

unsigned RDKit::FMCS::Seed::getNumAtoms | ( |  | ) | const

inline

Definition at line 102 of file Seed.h.

References RDKit::FMCS::MolFragment::AtomsIdx.

Referenced by canGrowBiggerThan(), and createFromParent().

unsigned RDKit::FMCS::Seed::getNumBonds | ( |  | ) | const

inline

Definition at line 105 of file Seed.h.

References RDKit::FMCS::MolFragment::BondsIdx.

Referenced by RDKit::FMCS::SeedSet::add(), canGrowBiggerThan(), and createFromParent().

void RDKit::FMCS::Seed::grow | ( | MaximumCommonSubgraph & | mcs | ) | const

Seed& RDKit::FMCS::Seed::operator= | ( | const Seed & | src | ) |

inline

Definition at line 71 of file Seed.h.

References DupCacheKey, ExcludedBonds, GrowingStage, LastAddedAtomsBeginIdx, LastAddedBondsBeginIdx, MatchResult, MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

void RDKit::FMCS::Seed::setMoleculeFragment | ( | const Seed & | src | ) |

inline

Definition at line 68 of file Seed.h.

References MoleculeFragment.

Referenced by RDKit::FMCS::SeedSet::add().

## Member Data Documentation

bool RDKit::FMCS::Seed::CopyComplete

Definition at line 48 of file Seed.h.

DuplicatedSeedCache::TKey RDKit::FMCS::Seed::DupCacheKey

Definition at line 59 of file Seed.h.

Referenced by createFromParent(), and operator=().

std::vector<bool> RDKit::FMCS::Seed::ExcludedBonds

Definition at line 53 of file Seed.h.

Referenced by createFromParent(), and operator=().

unsigned RDKit::FMCS::Seed::GrowingStage

mutable

Definition at line 49 of file Seed.h.

Referenced by operator=().

unsigned RDKit::FMCS::Seed::LastAddedAtomsBeginIdx

Definition at line 54 of file Seed.h.

Referenced by operator=().

unsigned RDKit::FMCS::Seed::LastAddedBondsBeginIdx

Definition at line 55 of file Seed.h.

Referenced by operator=().

std::vector<TargetMatch> RDKit::FMCS::Seed::MatchResult

Definition at line 61 of file Seed.h.

Referenced by operator=().

MolFragment RDKit::FMCS::Seed::MoleculeFragment

Definition at line 50 of file Seed.h.

Referenced by createFromParent(), RDKit::FMCS::TargetMatch::init(), operator=(), and setMoleculeFragment().

unsigned RDKit::FMCS::Seed::RemainingAtoms

Definition at line 57 of file Seed.h.

Referenced by createFromParent(), and operator=().

unsigned RDKit::FMCS::Seed::RemainingBonds

Definition at line 56 of file Seed.h.

Referenced by createFromParent(), and operator=().

Graph RDKit::FMCS::Seed::Topology

Definition at line 51 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::add(), createFromParent(), and operator=().

The documentation for this class was generated from the following file:

- Seed.h